Bug 457461 - Save session on exit fails about 50% of the time.
Save session on exit fails about 50% of the time.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 14:32 EDT by Gustavo Maciel Dias Vieira
Modified: 2009-07-14 16:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 511381 (view as bug list)
Environment:
Last Closed: 2009-07-14 12:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gustavo Maciel Dias Vieira 2008-07-31 14:32:35 EDT
Description of problem:

I have the option to automaticaly save a session turned on. I use it mostly to
save gnome-terminal and epiphany windows. Since I upgraded to Fedora 9, the
saving started to fail about 50% of the time. A sign of a failed session save is
that the session behaves as if the system crashed; terminals are out of place
and epiphany is asking if it should restore the windows.

I believe the problem is caused by the fact that the session ends too fast (and
maybe I have too many running apps), so individual applications do not have time
to save their state. Probably this was caused by the change to upstart.


Version-Release number of selected component (if applicable):
gnome-session-2.22.3-1.fc9.x86_64
upstart-0.3.9-19.fc9.x86_64

How reproducible:
About 50% of the time.


Steps to Reproduce:
1. Activate save session on exit.
2. Open a bunch of epiphany windows.
3. Exit and re-login.
  
Actual results:
Sometimes epiphany says its session crashed.

Expected results:
It should restore the windows.
Comment 1 William A. Mahaffey III 2009-01-13 22:46:51 EST
i 2nd the motion on this one, except it is 100% failure to save stuff for me (mostly rxvt-shells). I also get firefox trying to start up whenever I log back in, even though I wasn't using it when I logged out. Gnome-session.x86_64 2.22.3-1.fc9, upstart.x86_64 0.3.9-19.fc9, just upgraded today, problem still shows up. I use this machine to log into others on my LAN, so I often have 15-20 rxvt's open across several desktops when I logout. I have to open all 15-20 again when I log back in, uuuuuugggghhhh !!!!
Comment 2 Bug Zapper 2009-06-09 22:20:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 William A. Mahaffey III 2009-07-04 13:03:58 EDT
This behavior is still present in the FC11 x85_64 that I recently upgraded to ....
Comment 4 Bug Zapper 2009-07-14 12:23:58 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 William A. Mahaffey III 2009-07-14 14:05:48 EDT
This is still happening under FC11 64-bit, fully patched up as of last Sunday :-) ....
Comment 6 Gustavo Maciel Dias Vieira 2009-07-14 16:17:04 EDT
This is working for me in F11. The session manager in GNOME changed from F9 to F11, maybe its best for you to file another bug as the setup is so different.
Comment 7 William A. Mahaffey III 2009-07-14 16:55:51 EDT
It is most definitely still happening for me, every logout. In the past, I normally stayed logged in for weeks at a time, but w/ issues so far w/ F11, I find myself rebooting and/or logging out & back in several times a week. I normally have 28 rxvt shells open on 3 of the 4 desktops/workspaces/whatever-they-are-now-called (used to access other machines on my LAN), w/ the 4th reserved for GUI based activities (browsing, E-mail, using the graphical desktop, etc.) by habit. Whenever I reboot or logout, the 28 shells are not present when I log back in, *EVER* (i.e. 100% of the time). This worked AOK under FC8 64-bit/XFCE, & under FC5 32-bit/XFCE. I don't know if it is GNOME specific or something else, since I am also having problems w/ switchdesk (can't switch to XFCE, ICE, or KDE to try it out), but that is another story ....

Note You need to log in before you can comment on or make changes to this bug.